[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# TApplication.UpdateFormatSettings (platform)

Indicates if application format settings are updated when changed in a widgetset class.

## Declaration

Source position: forms.pp line 1747

`public property TApplication.UpdateFormatSettings : Boolean read FUpdateFormatSettings write FUpdateFormatSettings;`

## Description

UpdateFormatSettings is a platform-specific Boolean property which indicates if application format settings are updated when changed in a widgetset class. The default value for the property is True, as assigned in the Create constructor.

The property value is used in the IntfSettingsChange method to determine if the GetFormatSettings or GetFormatSettingsUTF8 method is called for the Windows platform. GetFormatSettings is called when DisableUTF8RTL is defined for the compiler. Other platforms are not affected, and do not call either method.